Last modified: 2013-04-22 16:14:52 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 43211 - mw-navigation should not be printed
mw-navigation should not be printed
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
1.21.x
All All
: Normal normal (vote)
: ---
Assigned To: Matthew Flaschen
:
Depends on:
Blocks: css
  Show dependency treegraph
 
Reported: 2012-12-17 21:32 UTC by Matthew Flaschen
Modified: 2013-04-22 16:14 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Matthew Flaschen 2012-12-17 21:32:16 UTC
mw-navigation does not have anything blocking printing.  Most of the elements inside do, but the main h2 ("Navigation menu" in English) does print.

I'm going to do a patch to add this to the display: none list.
Comment 1 Matthew Flaschen 2012-12-17 21:37:48 UTC
I've submitted https://gerrit.wikimedia.org/r/39149 .
Comment 2 Bartosz Dziewoński 2012-12-17 22:02:04 UTC
As we've learned with the fix to bug 457 that caused highlighted issues which are noted on bug 42452, all non-backwards-compatible HTML+CSS changes have potential to cause great havoc, so I'm CC-ing some people who were working on that one to greenlight this.
Comment 3 Bartosz Dziewoński 2012-12-17 22:03:12 UTC
that highlighted issues*
Comment 4 Ryan Kaldari 2013-01-10 00:47:05 UTC
This solution seems reasonable to me.
Comment 5 Ryan Kaldari 2013-01-10 01:12:14 UTC
Merged: https://gerrit.wikimedia.org/r/#/c/39149/

One good turn deserves another: https://gerrit.wikimedia.org/r/#/c/43117/

:)
Comment 6 Matthew Flaschen 2013-01-10 05:37:12 UTC
The CSS is merged.  I still want to merge the HTML cleanup one (https://gerrit.wikimedia.org/r/#/c/43112/) after the CSS is deployed, so I'm reopening for now.
Comment 7 Alex Monk 2013-02-16 21:44:27 UTC
Merged by Ori on the 13th. Is this bug fixed now?
Comment 8 Bartosz Dziewoński 2013-02-16 21:51:34 UTC
So it would seem.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links